Package Scientific :: Package IO :: Module PDB :: Class Molecule

[frames] | no frames]

# Class Molecule

    Group --+
            |
           Molecule

Molecule in a PDB file

Note: In PDB files, non-chain molecules are treated as residues, there is no separate molecule definition. This module defines every residue as a molecule that is not an amino acid residue or a nucleotide residue.

Instance Methods
Inherited from `Group`: `__getitem__`, `__init__`, `__len__`, `__repr__`, `__str__`, `addAtom`, `changeName`, `deleteAtom`, `deleteHydrogens`, `isCompatible`, `writeToFile`